SQLR-CACHEMANAGER(8)

NAME
sqlr-cachemanager - manual page for sqlr-cachemanager 1.9.2

SYNOPSIS
sqlr-cachemanager [OPTIONS]

DESCRIPTION
sqlr-cachemanager is the SQL Relay client-side result-set cache manager.

To improve the performance of frequently run queries, SQL Relay client applications can cache result sets locally and then access them rather than running the query again. When a result set is cached, a time-to-live (expiration date) is assigned to it. The sqlr-cachemanager goes through the cached result sets periodically and removes the ones that have expired.

Only one sqlr-cachemanager needs to be run per machine.

IMPORTANT NOTE:

Since cache managers clean up after SQL Relay client applications, they need to be run on machines which run client applications that could cache result sets. These are likely to be web or application servers, rather than the machines that run the sqlr-listener and sqlr-connection daemons.

OPTIONS

-cachedirs dirs
    Colon-delimited list of directories to scan for cache files.

-scaninterval sec
    Interval, in seconds, to scan the cache directories.

Rudiments version: 1.4.0 Compiled: Aug 9 2021 22:08:15

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2018 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.